org.jboss.jca.codegenerator

## Enum BasicType

- java.lang.Object
- - java.lang.Enum<BasicType>
  - - org.jboss.jca.codegenerator.BasicType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BasicType>

      public enum BasicType
      extends java.lang.Enum<BasicType>

  A BasicType.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Boolean` boolean
    `Byte` bye
    `Character` char
    `Double` double
    `Float` float
    `Integer` integer
    `Long` long
    `Short` short
    `String` string

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `allBasicType()` return string include all basic types
    `static java.lang.String` | `allType()` return string include all basic and primitive types
    `static java.lang.String` | `defaultValue(java.lang.String type)` return default value string
    `static boolean` | `isBasicType(java.lang.String type)` is basic type
    `static boolean` | `isPrimitiveType(java.lang.String type)` is primitive type
    `static BasicType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BasicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### String

          public static final BasicType String

      string

    - #### Boolean

          public static final BasicType Boolean

      boolean

    - #### Integer

          public static final BasicType Integer

      integer

    - #### Double

          public static final BasicType Double

      double

    - #### Byte

          public static final BasicType Byte

      bye

    - #### Short

          public static final BasicType Short

      short

    - #### Long

          public static final BasicType Long

      long

    - #### Float

          public static final BasicType Float

      float

    - #### Character

          public static final BasicType Character

      char

  - ### Method Detail

    - #### values

          public static BasicType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BasicType c : BasicType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BasicType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isBasicType

          public static boolean isBasicType(java.lang.String type)

      is basic type
      Parameters:
        `type` - type string
      Returns:
        boolean true if basic type

    - #### isPrimitiveType

          public static boolean isPrimitiveType(java.lang.String type)

      is primitive type
      Parameters:
        `type` - type string
      Returns:
        boolean true if basic type

    - #### allBasicType

          public static java.lang.String allBasicType()

      return string include all basic types
      Returns:
        String all types

    - #### allType

          public static java.lang.String allType()

      return string include all basic and primitive types
      Returns:
        String all types

    - #### defaultValue

          public static java.lang.String defaultValue(java.lang.String type)

      return default value string
      Parameters:
        `type` - type string
      Returns:
        String all types

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)